Opened 3 years ago

Closed 3 years ago

#1883 closed Task (fixed)

HPC-09_Gurvan — ZDF restructuration with reduced number of lbc_lnk call

Reported by: gm Owned by: gm
Priority: normal Milestone: 2017 WP
Component: OCE Version: trunk
Severity: minor Keywords: ZDF
Cc: oriol.tinto@… Review: failed
MP ready?: no
Progress: Unspecified

Description

Context

Restructuration of all vertical physics packages (ZDF) in order to reduce the number of communication and suppress most (if not all) the key_zdf…

Implementation

  1. remove avmu, avmv, keep only avm and use an average in the dynzdf_imp (_exp) modules (save mpp comm)
  2. Define tau_i, tau_j, the surface ocean stress at t-point, and remove utau, vtau (stress defined at u- and v-point) to remove the communication phase on utau and vtau. This require to adapt the dynzdf modules.
  3. create the zdf manager that encapsulate the computation of all module that modify avm and avt. =⇒> only one communication phase on those fields at the end of the ZDF manager instead of one by ZDF modules. In the process, we also remove all the key_zdf… replaced by namelist variables.
  4. simplification: introduce a generic routine to perform the inversion of a tri-diagonal matrix and use it in implicit vertical diffusion (DYN and TRA), in TKE and GLS, and in 4th order compact scheme (TRA and DYN).

Commit History (4)

ChangesetAuthorTimeChangeLog
8576gm2017-09-29T15:13:51+02:00

#1883 (HPC-09) - correction of a bug in dynspg_ts with top drag

8214gm2017-06-25T11:54:36+02:00

#1883 (HPC-09) - correction of minor issues

8178gm2017-06-15T08:44:30+02:00

#1883 (HPC-09) - step-9: final step for the removal of avmu, avmv from the code

8160gm2017-06-10T09:31:34+02:00

#1883 (HPC-09) - step-8: remove split-explicit calculation of (tra/dyn)zdf + associated changes in namelist

Change History (4)

comment:1 Changed 3 years ago by clevy

  • Cc oriol.tinto@… added

comment:2 Changed 3 years ago by gm

  • Owner changed from nemo to gm
  • Status changed from new to assigned

comment:3 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

comment:4 Changed 3 years ago by gm

  • Resolution set to fixed
  • Severity set to minor
  • Status changed from assigned to closed

Incorporated in the dev_merge_2017 branch

Note: See TracTickets for help on using tickets.